[vdr] Getting old dvb_ttpci running with new driver and VDR1.7.1

Matthias Fechner idefix at fechner.net
Wed Sep 17 08:04:21 CEST 2008


Hi Community,

I tried these days to migrate to the new driver structure and VDR 1.7 
(to later get the HVR4000 running).

The driver I used is:
http://liplianindvb.sourceforge.net/cgi-bin/hgwebdir.cgi/liplianindvb/
To compile the driver I copied compiler.h from the kernel source to the 
driver and compiled it (I think was necessary to compile VDR against the 
driver).

When compiling VDR I changed the path for the DVB driver to the dir 
where I compiled the new driver (in Make.config).

But if I start VDR 1.7.1 I only get a black screen (OSD is working fine) 
and a message that it cannot tune to channel.

Switch back to VDR 1.6 and the old driver solved the problem.

Was anyone successfull to get that driver with VDR 1.7.1 with the old TT 
card (Rev 1.3) running?

Bye,
Matthias
-- 
"Programming today is a race between software engineers striving to 
build bigger and better idiot-proof programs, and the universe trying to 
produce bigger and better idiots. So far, the universe is winning." -- 
Rich Cook




More information about the vdr mailing list